OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
SaveLoadParams Struct Reference

The saveload struct, containing reader-writer functions, buffer, version, etc. More...

## Data Fields
SaveLoadAction | action
| are we doing a save or a load atm.
NeedLength | need_length
| working in NeedLength (Autolength) mode?
byte | block_mode
| ???
bool | error
| did an error occur or not
size_t | obj_len
| the length of the current object we are busy with
int | array_index
int | last_array_index
| in the case of an array, the current and last positions
MemoryDumper * | dumper
| Memory dumper to write the savegame to.
SaveFilter * | sf
| Filter to write the savegame to.
ReadBuffer * | reader
| Savegame reading buffer.
LoadFilter * | lf
| Filter to read the savegame from.
StringID | error_str
| the translatable error message to show
char * | extra_msg
| the error message
byte | ff_state
| The state of fast-forward when saving started.
bool | saveinprogress
| Whether there is currently a save in progress.

## Detailed Description

The saveload struct, containing reader-writer functions, buffer, version, etc.

Definition at line 394 of file saveload.cpp.

The documentation for this struct was generated from the following file:

- src/saveload/saveload.cpp